## org.w3c.dom.svg
Interface SVGViewSpec

All Superinterfaces:
  SVGFitToViewBox, SVGZoomAndPan

public interface SVGViewSpec
extends SVGZoomAndPan, SVGFitToViewBox

Field Summary

Fields inherited from interface org.w3c.dom.svg.SVGZoomAndPan
`SVG_ZOOMANDPAN_DISABLE, SVG_ZOOMANDPAN_MAGNIFY, SVG_ZOOMANDPAN_UNKNOWN`

Method Summary
`java.lang.String` `getPreserveAspectRatioString()`
`SVGTransformList` `getTransform()`
`java.lang.String` `getTransformString()`
`java.lang.String` `getViewBoxString()`
`SVGElement` `getViewTarget()`
`java.lang.String` `getViewTargetString()`

Methods inherited from interface org.w3c.dom.svg.SVGZoomAndPan
`getZoomAndPan, setZoomAndPan`

Methods inherited from interface org.w3c.dom.svg.SVGFitToViewBox
`getPreserveAspectRatio, getViewBox`

Method Detail

### getTransform

    public SVGTransformList getTransform()

### getViewTarget

    public SVGElement getViewTarget()

### getViewBoxString

    public java.lang.String getViewBoxString()

### getPreserveAspectRatioString

    public java.lang.String getPreserveAspectRatioString()

### getTransformString

    public java.lang.String getTransformString()

### getViewTargetString

    public java.lang.String getViewTargetString()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.